#Report Library

#ReportAdd
function void ReportAdd(string RepName, string Text);
{
  file RepHandle;

  OpenFile(RepHandle, RepName, "a");
  WriteFile(RepHandle, Text);
  WriteFile(RepHandle, "<BR>");
  CloseFile(RepHandle);
  return;
}

#ReportAddPass
function void ReportAddPass(string RepName, string Text);
{
  string Preamble;
  file RepHandle;

  Preamble = "<BR><Font Color=\"green\" Face=\"arial\" > <b> PASSED: </b></Font>";
  OpenFile(RepHandle, RepName, "a");
  WriteFile(RepHandle, Preamble);
  WriteFile(RepHandle, Text);
  WriteFile(RepHandle, "<BR><BR>");
  CloseFile(RepHandle);
  return;
}

#ReportAddFail
function void ReportAddFail(string RepName, string Text);
{
  string Preamble;
  file RepHandle;

  Preamble = "<BR><Font Color=\"red\" Face=\"arial\" > <b> FAILED: </b></Font>";
  OpenFile(RepHandle, RepName, "a");
  WriteFile(RepHandle, Preamble);
  WriteFile(RepHandle, Text);
  WriteFile(RepHandle, "<BR><BR>");
  CloseFile(RepHandle);
  return;
}

#ReportAddSummary
function void ReportAddSummary(string RepName, string Text);
{
  return;
}

#ReportBold
function string ReportBold(string Text);
{
  Text = Concat("<b> ", Text);
  Text = Concat(Text, "</b>");
  return Text;
}


#ReportItalic
function string ReportItalic(string Text);
{
  Text = Concat("<i> ", Text);
  Text = Concat(Text, "</i>");
  return Text;
}

#ReportUnderline
function string ReportUnderline(string Text);
{
  Text = Concat("<u> ", Text);
  Text = Concat(Text, "</u>");
  return Text;
}

#ReportAddCenterHeader
function void ReportAddCenterHeader(string RepName, string Text, string Type);
{
  file RepHandle;

  Text = Concat("<h1 style=\"font-family:verdana\" align=\"center\">", Text);
  Text = Concat(Text, "</h1>");
  OpenFile(RepHandle, RepName, Type);
  WriteFile(RepHandle, Text);
  CloseFile(RepHandle);
  return; 
}

#ReportAddHeader
function void ReportAddHeader(string RepName, string Text);
{
  file RepHandle;

  Text = Concat("<h1 style=\"font-family:verdana\">", Text);
  Text = Concat(Text, "</h1>");
  OpenFile(RepHandle, RepName, "a");
  WriteFile(RepHandle, Text);
  CloseFile(RepHandle);
  return; 
}

#ReportAddSubHeader
function void ReportAddSubHeader(string RepName, string Text);
{
  file RepHandle;

  Text = Concat("<h2 style=\"font-family:verdana\">", Text);
  Text = Concat(Text, "</h2>");
  OpenFile(RepHandle, RepName, "a");
  WriteFile(RepHandle, Text);
  CloseFile(RepHandle);
  return; 
}

#ReportLarge
function string ReportLarge(string Text);
{
  Text = Concat("<p style=\"font-size:150%\">", Text);
  Text = Concat(Text, "</p>");
  return Text;
}

#ReportMedium
function string ReportMedium(string Text);
{
  Text = Concat("<p style=\"font-size:100%\">", Text);
  Text = Concat(Text, "</p>");
  return Text;
}

#ReportSmall
function string ReportSmall(string Text);
{
  Text = Concat("<p style=\"font-size:80%\">", Text);
  Text = Concat(Text, "</p>");
  return Text;
}

#ReportAddScreen
# Requires GhostScreen.exe to be in the Phantom installation directory
function void ReportAddScreen(string RepName, string FileName);
{
  string Command;
  string Statement;
  file RepHandle;

  Command = Concat("GhostScreen.exe W ", FileName);
  Sleep(3);
  System(Command);
  OpenFile(RepHandle, RepName, "a");
  Statement = Concat("<img src=\"", FileName);
  Statement = Concat(Statement, "\"width=\"400\" height=\"300\">"); 
  WriteFile(RepHandle, Statement);
  WriteFile(RepHandle, "<BR>");
  Statement = Concat("<Font Color=\"blue\" Face=\"arial\"><p style=\"font-size:60%\">  <A href = \"", FileName);
  Statement = Concat(Statement, "\">Click to Open</A></p></Font><BR>");
  WriteFile(RepHandle, Statement); 
  CloseFile(RepHandle);
  return; 
}


#ReportAddDeskTop
# Requires GhostScreen.exe to be in the Phantom installation directory
function void ReportAddDesktop(string RepName, string FileName);
{
  string Command;
  string Statement;
  file RepHandle;

  Command = Concat("GhostScreen.exe D ", FileName);
  Sleep(3);
  System(Command);
  OpenFile(RepHandle, RepName, "a");
  Statement = Concat("<img src=\"", FileName);
  Statement = Concat(Statement, "\"width=\"400\" height=\"300\">"); 
  WriteFile(RepHandle, Statement);
  WriteFile(RepHandle, "<BR>");
  Statement = Concat("<Font Color=\"blue\" Face=\"arial\"><p style=\"font-size:60%\">  <A href = \"", FileName);
  Statement = Concat(Statement, "\">Click to Open</A></p></Font><BR>");
  WriteFile(RepHandle, Statement); 
  CloseFile(RepHandle);
  return; 
}


#ReportAddTitle
function void ReportAddTitle(string RepName, string HeaderText);
{
  ReportAddCenterHeader(RepName, HeaderText, "w");
  return;
}
